Bug 2527 - xinetd & fam
: xinetd & fam
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinetd)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-16 11:48 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-16 11:48:20
Не работает (есть подозрение, что не только у меня).
Вчера вышла 2.3.11 версия.
---

---
------- Comment #1 From 2003-04-16 16:19:13 -------
Fixed in xinetd-2.3.11-alt1, please check.
------- Comment #2 From 2003-04-16 16:19:13 -------
Fixed in xinetd-2.3.11-alt1, please check.
------- Comment #3 From 2003-04-20 00:40:06 -------
К сожалению он не работает с новым xinetd, до тех пор пока не закоментировать
#       only_from = 127.0.0.1
в /etc/xinetd.conf

Причем в логах идет (при закоментиованной строчке)
Apr 19 23:32:24 lcd-semen xinetd[11204]: START: sgi_fam pid=11215 from=<no
address>
Apr 19 23:32:24 lcd-semen xinetd[11215]: warning: can\'t get client address:
Transport endpoint is not connected

Почему берется <no address>, не знаю ;)
------- Comment #4 From 2003-04-20 00:40:06 -------
К сожалению он не работает с новым xinetd, до тех пор пока не закоментировать
#       only_from = 127.0.0.1
в /etc/xinetd.conf

Причем в логах идет (при закоментиованной строчке)
Apr 19 23:32:24 lcd-semen xinetd[11204]: START: sgi_fam pid=11215 from=<no
address>
Apr 19 23:32:24 lcd-semen xinetd[11215]: warning: can\'t get client address:
Transport endpoint is not connected

Почему берется <no address>, не знаю ;)
------- Comment #5 From 2003-04-25 18:23:16 -------
Поиск в google дал только советы по отключению only_from = 127.0.0.1 в
/etc/xinetd.conf.
Попытался использовать (успешно) flags=NOLIBWRAP в sgi_fam (там же включено
bind=127.0.0.1). Является ли это решением проблемы? Можно ли такое заливать в
сизиф или это обсуждение в рассылке или вообще неприемлимое решение?
Спасибо.
------- Comment #6 From 2003-04-25 18:23:16 -------
Поиск в google дал только советы по отключению only_from = 127.0.0.1 в
/etc/xinetd.conf.
Попытался использовать (успешно) flags=NOLIBWRAP в sgi_fam (там же включено
bind=127.0.0.1). Является ли это решением проблемы? Можно ли такое заливать в
сизиф или это обсуждение в рассылке или вообще неприемлимое решение?
Спасибо.
------- Comment #7 From 2003-04-25 18:44:55 -------
bind=127.0.0.1 - это можно и даже логично.
А вот flags=NOLIBWRAP зачем?
------- Comment #8 From 2003-04-25 18:44:55 -------
bind=127.0.0.1 - это можно и даже логично.
А вот flags=NOLIBWRAP зачем?
------- Comment #9 From 2003-04-25 18:52:51 -------
Без него он не хочет пускать если не убрать only_from = 127.0.0.1 в
/etc/xinetd.conf.
Почему-то в логах идет <no address>
------- Comment #10 From 2003-04-25 18:52:51 -------
Без него он не хочет пускать если не убрать only_from = 127.0.0.1 в
/etc/xinetd.conf.
Почему-то в логах идет <no address>
------- Comment #11 From 2003-05-11 15:04:47 -------
fam с этими опциями залит в сизиф, так что думаю данный баг можно закрывать.
------- Comment #12 From 2003-05-11 15:04:47 -------
fam с этими опциями залит в сизиф, так что думаю данный баг можно закрывать.
------- Comment #13 From 2003-05-19 01:40:47 -------
Закрывать, возможно, рано:

May 19 01:39:07 localhost xinetd[2692]: pmap_set failed. service=sgi_fam program=391002 version=2
May 19 01:39:13 localhost xinetd[2692]: 2692 {init_services} no services. Exiting...
------- Comment #14 From 2003-05-19 01:40:47 -------
Закрывать, возможно, рано:

May 19 01:39:07 localhost xinetd[2692]: pmap_set failed. service=sgi_fam program=391002 version=2
May 19 01:39:13 localhost xinetd[2692]: 2692 {init_services} no services. Exiting...
------- Comment #15 From 2003-05-19 09:45:26 -------
Так это portmap не запущен.
------- Comment #16 From 2003-05-19 09:45:26 -------
Так это portmap не запущен.
------- Comment #17 From 2003-05-20 02:53:08 -------
OK, переформулируем баг: fam должен требовать portmap.
------- Comment #18 From 2003-05-20 02:53:08 -------
OK, переформулируем баг: fam должен требовать portmap.
------- Comment #19 From 2003-06-21 18:52:09 -------
Его точно рано закрывать.
Если присутствет опция only_from (с любым значением) в /etc/xinetd.conf или в /etc/xinetd.d/sgi_fam, то fam не запускается и в логах все то же самое

Jun 21 15:28:38 lint xinetd[31467]: FAIL: sgi_fam address from=<no address> 
Jun 21 15:28:38 lint xinetd[21064]: EXIT: sgi_fam pid=31467 duration=0(sec)

Также может добавить в xinetd такой патч?
<a href="http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=74696">http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=74696</a>

P.S. в следующей версии fam зависимость на portmap будет.
------- Comment #20 From 2003-06-21 18:52:09 -------
Его точно рано закрывать.
Если присутствет опция only_from (с любым значением) в /etc/xinetd.conf или в /etc/xinetd.d/sgi_fam, то fam не запускается и в логах все то же самое

Jun 21 15:28:38 lint xinetd[31467]: FAIL: sgi_fam address from=&lt;no address&gt; 
Jun 21 15:28:38 lint xinetd[21064]: EXIT: sgi_fam pid=31467 duration=0(sec)

Также может добавить в xinetd такой патч?
<a href="http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=74696">http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=74696</a>

P.S. в следующей версии fam зависимость на portmap будет.
------- Comment #21 From 2004-01-11 03:22:19 -------
Что-нибудь с тех пор изменилось? 
------- Comment #22 From 2004-01-11 14:47:58 -------
Нет.
------- Comment #23 From 2004-02-23 14:17:44 -------
Applied the tcp_rpc patch from RH in xinetd-2.3.13-alt1 
------- Comment #24 From 2005-03-22 03:37:11 -------
tcp_rpc patch is not enough.
------- Comment #25 From 2005-03-22 03:41:53 -------
Second attempt to fix this bug:
in xinetd-2.3.13-alt3, "only_from =" not only erases but also deallocates the
list.